Bug Hunting Session
Bug 122256 - KDE5: no menu in data provider dialog
Summary: KDE5: no menu in data provider dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.1 rc
Hardware: All Linux (All)
: medium normal
Assignee: Aleksei Nikiforov
URL:
Whiteboard: target:6.3.0 target:6.2.2
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-12-21 12:53 UTC by Xisco Faulí
Modified: 2019-02-26 06:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
proof (44.52 KB, image/png)
2019-02-26 06:52 UTC, Vera Blagoveschenskaya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-12-21 12:53:10 UTC
Steps to reproduce:
1. Open Calc
2. Data - Data provider

-> No menu on top

Reproduced in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

but not in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Michael Weghorn 2018-12-21 19:20:58 UTC
Confirmed with

Version: 6.3.0.0.alpha0+
Build ID: 5df6e8e399a1634c7e8dfe3558fc8fcdac3fcb09
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

The menu holding the "Start" and "Column" top-level entries (and their subitems) is missing with kde5.
Comment 2 Julien Nabet 2018-12-22 12:40:15 UTC
On pc Debian x86-64 with master sources updated today + kde5 rendering, I could reproduce this.
I noticed these logs on console:
warn:vcl:27107:27107:vcl/source/window/menu.cxx:438: Menu::InsertItem(): ItemId == 0
warn:vcl:27107:27107:vcl/source/window/menu.cxx:438: Menu::InsertItem(): ItemId == 0
warn:vcl:27107:27107:vcl/source/window/menu.cxx:438: Menu::InsertItem(): ItemId == 0
warn:vcl:27107:27107:vcl/source/window/accessibility.cxx:272: GetAccessibleChildWindow(): wrong index in border window

I got the same either with X11 or Wayland
Comment 3 Samuel Mehrbrodt (CIB) 2019-01-17 11:34:27 UTC
Is there a reason why that functionality has to be in a menu there?
Maybe we can just convert it to a toolbar?
Comment 4 Commit Notification 2019-02-22 17:10:39 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8777fc78ce7913b774d1c6ef660c7668c6c7b526%5E%21

tdf#122256 KDE5: Make menubar work for windows with parents

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-02-23 09:09:43 UTC
Aleksei Nikiforov committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/f184af314ec43fbac5bb22cd3ebc09ccdf865a7c%5E%21

tdf#122256 KDE5: Make menubar work for windows with parents

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Vera Blagoveschenskaya 2019-02-26 06:52:08 UTC
Created attachment 149590 [details]
proof

Not reproduced for

Version: 6.3.0.0.alpha0+
Build ID: 4187b2beaa3d1294cd5c76ec0b662f3f4fadc421
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-25_07:04:36
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

(see screen proof).
Comment 7 Vera Blagoveschenskaya 2019-02-26 06:53:11 UTC
Not reproduced for

Version: 6.2.2.0.0+
Build ID: b17bffe4eb15e4cec969aa2699ce8be60e01b1c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-02-25_17:41:32
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded